/* audio volume control for x11 (c) firk 2020
   please respect the authorship
   feel free to use this code for anything */
#include <stdio.h>
#include <X11/Xlib.h>
#include "mixer.h"
#include "vol-alsa.h"

unsigned char volume, mute;

extern void handle_audio_mute(void) {
  alsa_volume(8, NULL, &mute);
  mute = !mute;
  alsa_volume(4, NULL, &mute);
  x11_redraw();
}

extern void handle_audio_down(void) {
  alsa_volume(2, &volume, NULL);
  if(volume>3) volume -= 3; else volume = 0;
  alsa_volume(1, &volume, NULL);
  x11_redraw();
}

extern void handle_audio_up(void) {
  alsa_volume(2, &volume, NULL);
  if(volume<97) volume += 3; else volume = 100;
  alsa_volume(1, &volume, NULL);
  x11_redraw();
}


int main(void) {
  x11_init(NULL);
  init_key_hooks();
  volume = 60;
  mute = 1;
  x11_redraw();
  alsa_volume(10, &volume, &mute);
  while(1) x11_event_cycle(1);
  return 0;
}
